org.apache.fop.fo.properties

## Class CommonBorderPaddingBackground.BorderInfo

- java.lang.Object
- - org.apache.fop.fo.properties.CommonBorderPaddingBackground.BorderInfo

Enclosing class:
  CommonBorderPaddingBackground

    public static final class CommonBorderPaddingBackground.BorderInfo
    extends Object

Utility class to express border info.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Color` `getColor()`
`static CommonBorderPaddingBackground.BorderInfo` `getInstance(int style, CondLengthProperty width, Color color, CondLengthProperty radiusStart, CondLengthProperty radiusEnd)` Returns a BorderInfo instance corresponding to the given values.
`CondLengthProperty` `getRadiusEnd()`
`CondLengthProperty` `getRadiusStart()`
`int` `getRetainedWidth()` Convenience method returning the border-width, taking into account values of "none" and "hidden"
`int` `getStyle()`
`CondLengthProperty` `getWidth()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static CommonBorderPaddingBackground.BorderInfo getInstance(int style,
                                                                       CondLengthProperty width,
                                                                       Color color,
                                                                       CondLengthProperty radiusStart,
                                                                       CondLengthProperty radiusEnd)

Returns a BorderInfo instance corresponding to the given values.

Parameters:
  `style` - the border-style
  `width` - the border-width
  `color` - the border-color
  `radiusStart` - the start radius for rounded borders
  `radiusEnd` - the end radius for rounded borders
Returns:
  a cached BorderInfo instance

#### getStyle

    public int getStyle()

Returns:
  the border-style

#### getColor

    public Color getColor()

Returns:
  the border-color

#### getWidth

    public CondLengthProperty getWidth()

Returns:
  the border-width

#### getRetainedWidth

    public int getRetainedWidth()

Convenience method returning the border-width, taking into account values of "none" and "hidden"

Returns:
  the retained border-width

#### getRadiusStart

    public CondLengthProperty getRadiusStart()

Returns:
  the border-*-start-radius

#### getRadiusEnd

    public CondLengthProperty getRadiusEnd()

Returns:
  the border-*-end-radius

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`